| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
qx::dao::detail::QxSqlFreeText Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlFreeText : possibility to add free text to SQL query More...

`#include <QxSqlFreeText.h>`

Inheritance diagram for qx::dao::detail::QxSqlFreeText:

List of all members.

## Public Member Functions
| QxSqlFreeText ()
| QxSqlFreeText (int index)
virtual | ~QxSqlFreeText ()
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query, qx::QxCollection< QString, QVariantList > *pLstExecBatch=NULL) const
virtual void | postProcess (QString &sql) const
virtual IxSqlElement::type_class | getTypeClass () const
void | setText (const QString &txt)
## Protected Member Functions
virtual QString | getExtraSettings () const
virtual void | setExtraSettings (const QString &s)
## Protected Attributes
QString | m_sText
| Custom SQL text to insert to SQL query.

## Detailed Description

qx::dao::detail::QxSqlFreeText : possibility to add free text to SQL query

Definition at line 56 of file QxSqlFreeText.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlFreeText::QxSqlFreeText | ( |  | ) |

qx::dao::detail::QxSqlFreeText::QxSqlFreeText | ( | int | index | ) |

virtual qx::dao::detail::QxSqlFreeText::~QxSqlFreeText | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlFreeText::getExtraSettings | ( |  | ) | const`[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual IxSqlElement::type_class qx::dao::detail::QxSqlFreeText::getTypeClass | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlFreeText::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlFreeText::resolve | ( | QSqlQuery & | query,
|  | qx::QxCollection< QString, QVariantList > * | pLstExecBatch = `NULL`
| ) |  | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlFreeText::setExtraSettings | ( | const QString & | s | ) | `[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

void qx::dao::detail::QxSqlFreeText::setText | ( | const QString & | txt | ) |

virtual QString qx::dao::detail::QxSqlFreeText::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

## Member Data Documentation

QString qx::dao::detail::QxSqlFreeText::m_sText`[protected]`

Custom SQL text to insert to SQL query.

Definition at line 61 of file QxSqlFreeText.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlFreeText.h